Bug 117108 - 'Master View' button is displayed after re-displaying the sidebar
Summary: 'Master View' button is displayed after re-displaying the sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Properties-Slide
  Show dependency treegraph
 
Reported: 2018-04-19 14:07 UTC by Xisco Faulí
Modified: 2018-11-22 12:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-19 14:07:20 UTC
Steps to reproduce:
1. Open Draw -> if the sidebar is displayed, you will see no 'master view' button
2. Close the sidebar ( View - Sidebar or Ctrl + F5 )
3. Open the sidebar again

Observed behaviour: The 'Master View' button is displayed

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: cb5f6503f593d7c7a719542281b9efd274134f7c
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-19 14:25:52 UTC
Regression introduced by:

author	Susobhan Ghosh <susobhang70@gmail.com>	2016-08-03 23:22:53 +0530
committer	Yousuf Philips <philipz85@hotmail.com>	2016-08-13 12:11:09 +0000
commit	64ff7453408e578b95073db1740bfef4f500a2e4 (patch)
tree	19c675941f6c566386eb1eb71ec0ffda2d83d4c3
parent	cb3a00514a6baa9fe7c0660a743b95e1baed7bb8 (diff)
tdf#89466 Add Master Slide and Close Master View button
Impress only. Change panel title on master slide context.
Disable controls in master view.

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Susobhan Ghosh
Comment 2 Xisco Faulí 2018-04-19 14:38:50 UTC
@Tamás Zolnai, I thought you might be interested in this one...
Comment 3 Xisco Faulí 2018-05-07 09:57:35 UTC
Same behaviour reproduced when adding a picture...
Comment 4 Xisco Faulí 2018-11-19 13:13:21 UTC
or when adding a shape...
Comment 5 Commit Notification 2018-11-21 09:25:01 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/60e6593f042e3e2869ece89cc43390b3254b3205%5E%21

tdf#117108: do not show the master view button after updating the sidebar

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-11-21 12:47:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/832c9836e4fb649cf6860aadced35ae6def0adf5%5E%21

tdf#117108: do not show the master view button after updating the sidebar

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-11-22 12:31:21 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/d1734718ae5b4e739b1db711479c6e969902fc7c%5E%21

tdf#117108: do not show the master view button after updating the sidebar

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.